#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-Jwzn632tVmh5mwvCkKKyC0-dns-internal
key:                  dns-4.1.1-Jwzn632tVmh5mwvCkKKyC0-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  a4376d9a2ad08bdcb01b5fd998dd92cd
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-Jwzn632tVmh5mwvCkKKyC0-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-CixST7EyOy65rLGgPha7A3
    attoparsec-0.14.4-KcORgxsqlxoJMIXhUYAkBQ
    auto-update-0.1.6-8Epx4sVNeT993P1W47VRVf base-4.15.1.0
    base16-bytestring-1.0.2.0-K2iBTo1iZcTF38UF7fHiGD
    base64-bytestring-1.2.1.0-8eCxaKXmqCSFtp7huPUkpp
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-AjNclo4vu521MOLXCrnxYD containers-0.6.4.1
    cryptonite-0.30-3IfW3sIASsWAjxaXX6pjKd
    hourglass-0.2.12-15qcv6zY5VP5uFlB3pYDCH
    iproute-1.7.12-7vk88kViQRXKjbjKVxOSZx mtl-2.2.2
    network-3.1.4.0-FljXj1pKqIFKzoXPMjtmvn
    psqueues-0.2.8.0-Kzp1DCUQBDHeAnK1SROhg

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-DlvTeTJzeE17NtOQJF4Vr2
key:                  dns-4.1.1-DlvTeTJzeE17NtOQJF4Vr2
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  21be568a209c805d17bbeb20865a81a5
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-DlvTeTJzeE17NtOQJF4Vr2
depends:
    array-0.5.4.0 async-2.2.5-CixST7EyOy65rLGgPha7A3
    attoparsec-0.14.4-KcORgxsqlxoJMIXhUYAkBQ
    auto-update-0.1.6-8Epx4sVNeT993P1W47VRVf base-4.15.1.0
    base16-bytestring-1.0.2.0-K2iBTo1iZcTF38UF7fHiGD
    base64-bytestring-1.2.1.0-8eCxaKXmqCSFtp7huPUkpp
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-3IfW3sIASsWAjxaXX6pjKd
    dns-4.1.1-Jwzn632tVmh5mwvCkKKyC0-dns-internal
    hourglass-0.2.12-15qcv6zY5VP5uFlB3pYDCH
    iproute-1.7.12-7vk88kViQRXKjbjKVxOSZx mtl-2.2.2
    network-3.1.4.0-FljXj1pKqIFKzoXPMjtmvn
    psqueues-0.2.8.0-Kzp1DCUQBDHeAnK1SROhg

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

